#include <direct.h>
#include <stdlib.h>
#include <stdio.h>

void main(void);
void main(void) {

	 char current_dir[_MAX_DIR];   // _MAX_DIR - максимальная длина
											 // пути для каталога.
											 // Эта константа описана в
											 // файле stdlib.h
	 char test_dir[] = "TEST_DIR";

// Запоминаем текущий каталог

	 getcwd( current_dir, _MAX_DIR );

// Пытаемся создать в текущем каталоге новый каталог

	 if(!mkdir(test_dir)) {

// Если удалось создать каталог, делаем его текущим

			 chdir(test_dir);
			 printf("\nКталог создан, для удаления нажмите"
					  "\nлюбую клавишу, для сохранения - Ctrl-C");

			 getch();

// Для удаления только что созданного каталога
// возвращаемся в каталог более высокого уровня

			 chdir(current_dir);
			 rmdir(test_dir);
	 }

// Если каталог с таким именем уже существует или
// произошла другая ошибка при создании каталога,
// выводим сообщение о невозможности создания каталога.

	 else printf("\nНе могу создать каталог!");
}
